import _axios from "@/utils/_axios";

/**
 * 获取手术总量(左上角)
 */
export const GetMonitorOperationCount = (date) => {
  return _axios({
    url: "/api/QualityMicroservice/Monitor/GetMonitorOperationCount",
    params: {
      date,
    },
  });
};

/**
 * 获取术间状态(右上角)
 */
export const GetMonitorOperationRoomStatus = (date) => {
  return _axios({
    url: "/api/QualityMicroservice/Monitor/GetMonitorOperationRoomStatus",
    params: {
      date,
    },
  });
};

/**
 * 获取手术量统计(左下角)
 */
export const GetMonitorOperationNumber = (data) => {
  return _axios({
    url: "/api/QualityMicroservice/Monitor/GetMonitorOperationNumber",
    params: data,
  });
};

/**
 * 获取手术级别统计(下中左)
 */
export const GetMonitorOperationLevel = (date) => {
  return _axios({
    url: "/api/QualityMicroservice/Monitor/GetMonitorOperationLevel",
    params: {
      date,
    },
  });
};

/**
 * 获取ASA级别(下中右)
 */
export const GetMonitorOperationASALevel = (date) => {
  return _axios({
    url: "/api/QualityMicroservice/Monitor/GetMonitorOperationASALevel",
    params: {
      date,
    },
  });
};

/**
 * 获取ASA级别(右下角)
 */
export const GetMonitorOperationDept = (data) => {
  return _axios({
    url: "/api/QualityMicroservice/Monitor/GetMonitorOperationDept",
    params: data,
  });
};
