import _axios from '@/utils/_axios';

/**
 * 获取首台准点率列表(右边)
 */
export const GetMonitorOperationCount = date => {
  return _axios({
    url: '/api/QualityMicroservice/Monitor/GetMonitorFirstOperation',
    params: {
      date,
    },
  });
};

/**
 * 半年内首台准点率(左下角)
 */
export const GetMonitorFirstOperationMonth = () => {
  return _axios({
    url: '/api/QualityMicroservice/Monitor/GetMonitorFirstOperationMonth',
  });
};
